Attribute VB_Name = "RCXData"
'==============================================================================
'
' Project:  MindStorms
' Unit   :  Global module
' Rev.   :  1.0
'
'------------------------------------------------------------------------------
'
' Declaration of global names for RCX-related constants
'
'==============================================================================

Option Explicit

'==============================================================================
' System sounds
'==============================================================================

Public Const CLICK_SOUND = 0
Public Const BEEP_SOUND = 1
Public Const SWEEP_DOWN_SOUND = 2
Public Const SWEEP_UP_SOUND = 3
Public Const ERROR_SOUND = 4
Public Const SWEEP_FAST_SOUND = 5

'==============================================================================
' Source names
'==============================================================================

Public Const VAR = 0
Public Const TIMER = 1
Public Const CON = 2
Public Const MOTSTA = 3
Public Const RAN = 4
Public Const TACC = 5
Public Const TACS = 6
Public Const MOTCUR = 7
Public Const KEYS = 8
Public Const SENVAL = 9
Public Const SENTYPE = 10
Public Const SENMODE = 11
Public Const SENRAW = 12
Public Const BOOL = 13
Public Const WATCH = 14
Public Const PBMESS = 15
Public Const AGC = 16

'==============================================================================
' Sensor names
'==============================================================================

Public Const SENSOR_1 = 0
Public Const SENSOR_2 = 1
Public Const SENSOR_3 = 2

'==============================================================================
' Timer names
'==============================================================================

Public Const TIMER_1 = 0
Public Const TIMER_2 = 1
Public Const TIMER_3 = 2
Public Const TIMER_4 = 3

'==============================================================================
' Tacho names (CyberMaster only)
'==============================================================================

Public Const LEFT_TACHO = 0
Public Const RIGHT_TACHO = 1

'==============================================================================
' Sensor types
'==============================================================================

Public Const NO_TYPE = 0
Public Const SWITCH_TYPE = 1
Public Const TEMP_TYPE = 2
Public Const LIGHT_TYPE = 3
Public Const ANGLE_TYPE = 4

'==============================================================================
' Sensor modes
'==============================================================================

Public Const RAW_MODE = 0
Public Const BOOL_MODE = 1
Public Const TRANS_COUNT_MODE = 2
Public Const PERIOD_COUNT_MODE = 3
Public Const PERCENT_MODE = 4
Public Const CELSIUS_MODE = 5
Public Const FAHRENHEIT_MODE = 6
Public Const ANGLE_MODE = 7

'==============================================================================
' Output names
'==============================================================================

Public Const OUTPUT_A = 0
Public Const OUTPUT_B = 1
Public Const OUTPUT_C = 2

'==============================================================================
' Logical comparison operators
'==============================================================================

Public Const GT = 0
Public Const LT = 1
Public Const EQ = 2
Public Const NE = 3

'==============================================================================
' Time constants
'==============================================================================

Public Const MS_10 = 1
Public Const MS_20 = (2 * MS_10)
Public Const MS_30 = (3 * MS_10)
Public Const MS_40 = (4 * MS_10)
Public Const MS_50 = (5 * MS_10)
Public Const MS_60 = (6 * MS_10)
Public Const MS_70 = (7 * MS_10)
Public Const MS_80 = (8 * MS_10)
Public Const MS_90 = (9 * MS_10)
Public Const MS_100 = (10 * MS_10)
Public Const MS_200 = (20 * MS_10)
Public Const MS_300 = (30 * MS_10)
Public Const MS_400 = (40 * MS_10)
Public Const MS_500 = (50 * MS_10)
Public Const MS_700 = (70 * MS_10)
Public Const SEC_1 = (100 * MS_10)
Public Const SEC_2 = (2 * SEC_1)
Public Const SEC_3 = (3 * SEC_1)
Public Const SEC_5 = (5 * SEC_1)
Public Const SEC_10 = (10 * SEC_1)
Public Const SEC_15 = (15 * SEC_1)
Public Const SEC_20 = (20 * SEC_1)
Public Const SEC_30 = (30 * SEC_1)
Public Const MIN_1 = (60 * SEC_1)

